Public Class MainForm
    'SDK interface definitions.
    '==========================================================================================
    Private Declare Function EncryptPDF Lib "apPDFEncrypt.dll" Alias "_EncryptPDF@44" (ByVal inFileName As String, ByVal outFileName As String, ByVal EnctyptLen As Integer, ByVal permission As Integer, ByVal OwnerPassword As String, ByVal UserPassword As String, ByVal keywords As String, ByVal subject As String, ByVal title As String, ByVal author As String, ByVal creator As String) As Integer
    Private Declare Function IsEncryptPDF Lib "apPDFEncrypt.dll" Alias "_IsEncryptPDF@4" (ByVal inFileName As String) As Boolean
    Private Declare Function IsPDFFormat Lib "apPDFEncrypt.dll" Alias "_IsPDFFormat@4" (ByVal inFileName As String) As Boolean


    'Get Permission
    '==========================================================================================
    Private Function GetPermission(ByVal bPrint As Boolean, ByVal bCopy As Boolean, ByVal bModify As Boolean) As Integer

        Dim permission As Integer

        permission = 0

        If bPrint = True Then
            permission = permission + 1
        End If
        If bCopy = True Then
            permission = permission + 2
        End If
        If bModify = True Then
            permission = permission + 4
        End If

        GetPermission = permission

    End Function


    'example 
    '==========================================================================================
    Private Sub btnDemo1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDemo1.Click


        Dim encyptlevel As Integer
        Dim permission As Integer
        Dim srcfile As String
        Dim desfile As String

        Dim ret As Boolean


        srcfile = "test.pdf"

        If IsPDFFormat(srcfile) And IsEncryptPDF(srcfile) <> True Then

            desfile = "test_rc4_40.pdf"
            'rc4 40 bit encrypt
            encyptlevel = 1
            'limit print,permission copy,permission modify
            permission = GetPermission(False, True, True)
            EncryptPDF(srcfile, desfile, encyptlevel, permission, "owner", "user", "keywords", "subject", "title", "author", "creator")


            desfile = "test_rc4_128.pdf"
            'rc4 128 bit encrypt
            encyptlevel = 2
            'limit print,limit copy,permission modify
            permission = GetPermission(False, False, True)
            EncryptPDF(srcfile, desfile, encyptlevel, permission, "owner", vbNullString, "keywords", "subject", "title", "author", "creator")

            desfile = "test_aes_128.pdf"
            'aes 128 bit encrypt
            encyptlevel = 3
            'limit print,limit copy,limit modify
            permission = GetPermission(False, False, False)
            EncryptPDF(srcfile, desfile, encyptlevel, permission, "owner", "user", "keywords", "subject", "title", "author", "creator")


        End If





    End Sub





End Class
